Overview
Comment: | Added Tcl 8.6.5 everywhere |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: | bd11da21e3f3cf4dfed2fabd1b2ddacb7fde7af2 |
User & Date: | rkeene on 2016-03-07 04:42:56 |
Other Links: | manifest | tags |
Context
2016-03-07
| ||
20:27 | Added support for building pkgs directory statically to KitCreator Web UI check-in: 070af23daa user: rkeene tags: trunk | |
04:42 | Added Tcl 8.6.5 everywhere check-in: bd11da21e3 user: rkeene tags: trunk | |
04:40 | KitCreator 0.9.3 check-in: 94ef1567f9 user: rkeene tags: trunk, 0.9.3 | |
Changes
Modified build/test/test from [42a126b0c2] to [1606fd2709].
1 2 3 4 5 6 7 8 9 10 |
#! /bin/bash
VERSIONS="8.5.19 8.6.4 fossil_trunk"
# Find the base directory
for x in 1 2 3 4 __fail__; do
if [ "${x}" = "__fail__" ]; then
echo 'Unable to find KitCreator, aborting.' >&2
exit 1
|
| |
1 2 3 4 5 6 7 8 9 10 |
#! /bin/bash
VERSIONS="8.5.19 8.6.5 fossil_trunk"
# Find the base directory
for x in 1 2 3 4 __fail__; do
if [ "${x}" = "__fail__" ]; then
echo 'Unable to find KitCreator, aborting.' >&2
exit 1
|
Modified build/web/kitcreator.vfs/index.rvt from [db4fa878ed] to [67294d073d].
20 21 22 23 24 25 26 27 28 29 30 31 32 33 |
set tcl_versions(8.5.17) 8.5.17 set tcl_versions(8.5.18) 8.5.18 set tcl_versions(8.5.19) 8.5.19 set tcl_versions(8.6.1) 8.6.1 set tcl_versions(8.6.2) 8.6.2 set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set platforms(android-arm) "Android/ARM" set platforms(freebsd-amd64) "FreeBSD/amd64" set platforms(hpux-hppa64) "HP-UX/PA-RISC 2.0" set platforms(linux-amd64) "Linux/amd64" set platforms(linux-amd64-static) "Linux/amd64 (static)" |
> |
20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 |
set tcl_versions(8.5.17) 8.5.17
set tcl_versions(8.5.18) 8.5.18
set tcl_versions(8.5.19) 8.5.19
set tcl_versions(8.6.1) 8.6.1
set tcl_versions(8.6.2) 8.6.2
set tcl_versions(8.6.3) 8.6.3
set tcl_versions(8.6.4) 8.6.4
set tcl_versions(8.6.5) 8.6.5
set tcl_versions(fossil_trunk) "Fossil Trunk Tip"
set platforms(android-arm) "Android/ARM"
set platforms(freebsd-amd64) "FreeBSD/amd64"
set platforms(hpux-hppa64) "HP-UX/PA-RISC 2.0"
set platforms(linux-amd64) "Linux/amd64"
set platforms(linux-amd64-static) "Linux/amd64 (static)"
|
Modified kitcreator from [7632e94745] to [7d1b345fc4].
9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 |
clean|distclean|build|retry)
mode="$1"
shift
;;
esac
# Determine which Tcl version to build
TCLVERS="8.6.4"
if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then
TCLVERS="$1"
shift
fi
export TCLVERS
|
| |
9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 |
clean|distclean|build|retry)
mode="$1"
shift
;;
esac
# Determine which Tcl version to build
TCLVERS="8.6.5"
if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then
TCLVERS="$1"
shift
fi
export TCLVERS
|